using UnityEngine;
using System;
using System.Collections.Generic;

public class FamilyLow01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "Madness is clearly consuming the mind of our mother, the once beloved queen. Rumors are spreading throughout the kingdom saying that she is possessed by a demon. A mysterious easterner claims he has the ability to cure her; the church says this is being caused by black magic.";
    }

    protected override string GetSender()
    {
        return "Your Brother Emerick";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Family;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Low;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Let the mysterious man help", 
                new ResponseLetter
                (
                    "It turns out the mysterious man was a capable doctor that greatly improved our mother's condition. The church got a bit angry with your letting a pagan into the court, though.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Religion, -0.2f}, { Attributes.Family, +0.2f} }
                )
            ),
            new Choice
            (
                "Let the church exorcise her", 
                new ResponseLetter
                (
                    "The priests' cruel methods only further drowned our mother into madness. What should we do now?", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Religion, +0.2f}, { Attributes.Family, -0.2f} }
                )
            ),
            new Choice
            (
                "Lock her in a dungeon", 
                new ResponseLetter
                (
                    "With our mother's \"disappearance\", the rumours quickly began to fade. Can you sleep at night now, though, brother?", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Family, -0.2f} }
                )
            )
        };
    }
}